complexType "PortfolioReferenceBase"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 element
Defined: | globally in fpml-msg-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | portfolioName?
</...>

Content Model Elements (1):

  portfolioName (defined in PortfolioReferenceBase complexType)

Known Direct Subtypes (2):

  PortfolioConstituentReference, PortfolioReference

All Direct / Indirect Based Elements (3):

  portfolioReference (defined in PortfolioConstituentReference.model group),
  portfolioReference (defined in PortfolioReference.model group),
  portfolioReference (defined in PortfolioReferenceBase.model group)

Known Usage Locations

- In derivations of other global types (2):

  PortfolioConstituentReference (as extension base), | PortfolioReference (as extension base)

- As direct type of elements (1):
  portfolioReference (defined in PortfolioReferenceBase.model group)

Annotation
A structure used to identify a portfolio in a message.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="PortfolioReferenceBase"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolioName" type="PortfolioName"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/1)
portfolioName

  Type: | PortfolioName, simple content

  An identifier that is unique for each portfolio-level request, and which can be used to group together the individual messages in the portfolio request.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="portfolioName" type="PortfolioName"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.